net.sourceforge.pmd.lang.java.ast

## Class JavaParser

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParser

All Implemented Interfaces:
  JavaParserConstants, JavaParserTreeConstants

    public class JavaParser
    extends Object
    implements JavaParserTreeConstants, JavaParserConstants

### Field Summary

Fields
`Token` `jj_nt` Next token.
`protected JJTJavaParserState` `jjtree`
`Token` `token` Current token.
`JavaParserTokenManager` `token_source` Generated Token Manager.

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.JavaParserTreeConstants

`JJTADDITIVEEXPRESSION, JJTALLOCATIONEXPRESSION, JJTANDEXPRESSION, JJTANNOTATION, JJTANNOTATIONMETHODDECLARATION, JJTANNOTATIONTYPEBODY, JJTANNOTATIONTYPEDECLARATION, JJTANNOTATIONTYPEMEMBERDECLARATION, JJTARGUMENTLIST, JJTARGUMENTS, JJTARRAYDIMSANDINITS, JJTARRAYINITIALIZER, JJTASSERTSTATEMENT, JJTASSIGNMENTOPERATOR, JJTBLOCK, JJTBLOCKSTATEMENT, JJTBOOLEANLITERAL, JJTBREAKSTATEMENT, JJTCASTEXPRESSION, JJTCATCHSTATEMENT, JJTCLASSORINTERFACEBODY, JJTCLASSORINTERFACEBODYDECLARATION, JJTCLASSORINTERFACEDECLARATION, JJTCLASSORINTERFACETYPE, JJTCOMPILATIONUNIT, JJTCONDITIONALANDEXPRESSION, JJTCONDITIONALEXPRESSION, JJTCONDITIONALOREXPRESSION, JJTCONSTRUCTORDECLARATION, JJTCONTINUESTATEMENT, JJTDEFAULTVALUE, JJTDOSTATEMENT, JJTEMPTYSTATEMENT, JJTENUMBODY, JJTENUMCONSTANT, JJTENUMDECLARATION, JJTEQUALITYEXPRESSION, JJTEXCLUSIVEOREXPRESSION, JJTEXPLICITCONSTRUCTORINVOCATION, JJTEXPRESSION, JJTEXTENDSLIST, JJTFIELDDECLARATION, JJTFINALLYSTATEMENT, JJTFORINIT, JJTFORMALPARAMETER, JJTFORMALPARAMETERS, JJTFORSTATEMENT, JJTFORUPDATE, JJTIFSTATEMENT, JJTIMPLEMENTSLIST, JJTIMPORTDECLARATION, JJTINCLUSIVEOREXPRESSION, JJTINITIALIZER, JJTINSTANCEOFEXPRESSION, JJTLABELEDSTATEMENT, JJTLITERAL, JJTLOCALVARIABLEDECLARATION, JJTMARKERANNOTATION, JJTMEMBERSELECTOR, JJTMEMBERVALUE, JJTMEMBERVALUEARRAYINITIALIZER, JJTMEMBERVALUEPAIR, JJTMEMBERVALUEPAIRS, JJTMETHODDECLARATION, JJTMETHODDECLARATOR, JJTMULTIPLICATIVEEXPRESSION, JJTNAME, JJTNAMELIST, jjtNodeName, JJTNORMALANNOTATION, JJTNULLLITERAL, JJTPACKAGEDECLARATION, JJTPOSTFIXEXPRESSION, JJTPREDECREMENTEXPRESSION, JJTPREINCREMENTEXPRESSION, JJTPRIMARYEXPRESSION, JJTPRIMARYPREFIX, JJTPRIMARYSUFFIX, JJTPRIMITIVETYPE, JJTREFERENCETYPE, JJTRELATIONALEXPRESSION, JJTRESOURCE, JJTRESOURCES, JJTRESOURCESPECIFICATION, JJTRESULTTYPE, JJTRETURNSTATEMENT, JJTRSIGNEDSHIFT, JJTRUNSIGNEDSHIFT, JJTSHIFTEXPRESSION, JJTSINGLEMEMBERANNOTATION, JJTSTATEMENT, JJTSTATEMENTEXPRESSION, JJTSTATEMENTEXPRESSIONLIST, JJTSWITCHLABEL, JJTSWITCHSTATEMENT, JJTSYNCHRONIZEDSTATEMENT, JJTTHROWSTATEMENT, JJTTRYSTATEMENT, JJTTYPE, JJTTYPEARGUMENT, JJTTYPEARGUMENTS, JJTTYPEBOUND, JJTTYPEDECLARATION, JJTTYPEPARAMETER, JJTTYPEPARAMETERS, JJTUNARYEXPRESSION, JJTUNARYEXPRESSIONNOTPLUSMINUS, JJTVARIABLEDECLARATOR, JJTVARIABLEDECLARATORID, JJTVARIABLEINITIALIZER, JJTVOID, JJTWHILESTATEMENT, JJTWILDCARDBOUNDS`

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.JavaParserConstants

`_DEFAULT, ABSTRACT, ANDASSIGN, ASSIGN, AT, BANG, BINARY_LITERAL, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DO, DOT, DOUBLE, ELLIPSIS, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_FLOATING_POINT_LITERAL, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PART_LETTER, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

### Constructor Summary

Constructors
Constructor and Description
`JavaParser(CharStream stream)` Constructor with user supplied CharStream.
`JavaParser(JavaParserTokenManager tm)` Constructor with generated Token Manager.

### Method Summary

Methods
`void` `AdditiveExpression()`
`void` `AllocationExpression()`
`void` `AndExpression()`
`void` `Annotation()`
`void` `AnnotationMethodDeclaration(int modifiers)`
`void` `AnnotationTypeBody()`
`void` `AnnotationTypeDeclaration(int modifiers)`
`void` `AnnotationTypeMemberDeclaration()`
`void` `ArgumentList()`
`void` `Arguments()`
`void` `ArrayDimsAndInits()`
`void` `ArrayInitializer()`
`void` `AssertStatement()`
`void` `AssignmentOperator()`
`void` `Block()`
`void` `BlockStatement()`
`void` `BooleanLiteral()`
`void` `BreakStatement()`
`void` `CastExpression()`
`void` `CastLookahead()`
`void` `CatchStatement()`
`void` `ClassOrInterfaceBody()`
`void` `ClassOrInterfaceBodyDeclaration()`
`void` `ClassOrInterfaceDeclaration(int modifiers)`
`void` `ClassOrInterfaceType()`
`ASTCompilationUnit` `CompilationUnit()` THE JAVA LANGUAGE GRAMMAR STARTS HERE *
`void` `ConditionalAndExpression()`
`void` `ConditionalExpression()`
`void` `ConditionalOrExpression()`
`void` `ConstructorDeclaration(int modifiers)`
`void` `ContinueStatement()`
`void` `DefaultValue()`
`void` `disable_tracing()` Disable tracing.
`void` `DoStatement()`
`void` `EmptyStatement()`
`void` `enable_tracing()` Enable tracing.
`void` `EnumBody()`
`void` `EnumConstant()`
`void` `EnumDeclaration(int modifiers)`
`void` `EqualityExpression()`
`void` `ExclusiveOrExpression()`
`void` `ExplicitConstructorInvocation()`
`void` `Expression()`
`void` `ExtendsList()`
`void` `FieldDeclaration(int modifiers)`
`void` `FinallyStatement()`
`void` `ForInit()`
`void` `FormalParameter()`
`void` `FormalParameters()`
`void` `ForStatement()`
`void` `ForUpdate()`
`ParseException` `generateParseException()` Generate ParseException.
`Token` `getNextToken()` Get the next Token.
`Map<Integer,String>` `getSuppressMap()`
`Token` `getToken(int index)` Get the specific Token.
`void` `IfStatement()`
`void` `ImplementsList()`
`void` `ImportDeclaration()`
`void` `InclusiveOrExpression()`
`void` `Initializer()`
`void` `InstanceOfExpression()`
`void` `LabeledStatement()`
`void` `Literal()`
`void` `LocalVariableDeclaration()`
`void` `MarkerAnnotation()`
`void` `MemberSelector()`
`void` `MemberValue()`
`void` `MemberValueArrayInitializer()`
`void` `MemberValuePair()`
`void` `MemberValuePairs()`
`void` `MethodDeclaration(int modifiers)`
`void` `MethodDeclarator()`
`int` `Modifiers()`
`void` `MultiplicativeExpression()`
`void` `Name()`
`void` `NameList()`
`void` `NormalAnnotation()`
`void` `NullLiteral()`
`void` `PackageDeclaration()`
`void` `PostfixExpression()`
`void` `PreDecrementExpression()`
`void` `PreIncrementExpression()`
`void` `PrimaryExpression()`
`void` `PrimaryPrefix()`
`void` `PrimarySuffix()`
`void` `PrimitiveType()`
`void` `ReferenceType()`
`void` `ReInit(CharStream stream)` Reinitialise.
`void` `ReInit(JavaParserTokenManager tm)` Reinitialise.
`void` `RelationalExpression()`
`void` `Resource()`
`void` `Resources()`
`void` `ResourceSpecification()`
`void` `ResultType()`
`void` `ReturnStatement()`
`void` `RSIGNEDSHIFT()`
`void` `RUNSIGNEDSHIFT()`
`void` `setJdkVersion(int jdkVersion)`
`void` `setSuppressMarker(String marker)`
`void` `ShiftExpression()`
`void` `SingleMemberAnnotation()`
`void` `Statement()`
`void` `StatementExpression()`
`void` `StatementExpressionList()`
`void` `SwitchLabel()`
`void` `SwitchStatement()`
`void` `SynchronizedStatement()`
`void` `ThrowStatement()`
`void` `TryStatement()`
`void` `Type()`
`void` `TypeArgument()`
`void` `TypeArguments()`
`void` `TypeBound()`
`void` `TypeDeclaration()`
`void` `TypeParameter()`
`void` `TypeParameters()`
`void` `UnaryExpression()`
`void` `UnaryExpressionNotPlusMinus()`
`void` `VariableDeclarator()`
`void` `VariableDeclaratorId()`
`void` `VariableInitializer()`
`void` `WhileStatement()`
`void` `WildcardBounds()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jjtree

    protected JJTJavaParserState jjtree

#### token_source

    public JavaParserTokenManager token_source

Generated Token Manager.

#### token

    public Token token

Current token.

#### jj_nt

    public Token jj_nt

Next token.

### Constructor Detail

#### JavaParser

    public JavaParser(CharStream stream)

Constructor with user supplied CharStream.

#### JavaParser

    public JavaParser(JavaParserTokenManager tm)

Constructor with generated Token Manager.

### Method Detail

#### setJdkVersion

    public void setJdkVersion(int jdkVersion)

#### getSuppressMap

    public Map<Integer,String> getSuppressMap()

#### setSuppressMarker

    public void setSuppressMarker(String marker)

#### CompilationUnit

    public final ASTCompilationUnit CompilationUnit()
                                             throws ParseException

THE JAVA LANGUAGE GRAMMAR STARTS HERE *

Throws:
  `ParseException`

#### PackageDeclaration

    public final void PackageDeclaration()
                                  throws ParseException

Throws:
  `ParseException`

#### ImportDeclaration

    public final void ImportDeclaration()
                                 throws ParseException

Throws:
  `ParseException`

#### Modifiers

    public final int Modifiers()
                        throws ParseException

Throws:
  `ParseException`

#### TypeDeclaration

    public final void TypeDeclaration()
                               throws ParseException

Throws:
  `ParseException`

#### ClassOrInterfaceDeclaration

    public final void ClassOrInterfaceDeclaration(int modifiers)
                                           throws ParseException

Throws:
  `ParseException`

#### ExtendsList

    public final void ExtendsList()
                           throws ParseException

Throws:
  `ParseException`

#### ImplementsList

    public final void ImplementsList()
                              throws ParseException

Throws:
  `ParseException`

#### EnumDeclaration

    public final void EnumDeclaration(int modifiers)
                               throws ParseException

Throws:
  `ParseException`

#### EnumBody

    public final void EnumBody()
                        throws ParseException

Throws:
  `ParseException`

#### EnumConstant

    public final void EnumConstant()
                            throws ParseException

Throws:
  `ParseException`

#### TypeParameters

    public final void TypeParameters()
                              throws ParseException

Throws:
  `ParseException`

#### TypeParameter

    public final void TypeParameter()
                             throws ParseException

Throws:
  `ParseException`

#### TypeBound

    public final void TypeBound()
                         throws ParseException

Throws:
  `ParseException`

#### ClassOrInterfaceBody

    public final void ClassOrInterfaceBody()
                                    throws ParseException

Throws:
  `ParseException`

#### ClassOrInterfaceBodyDeclaration

    public final void ClassOrInterfaceBodyDeclaration()
                                               throws ParseException

Throws:
  `ParseException`

#### FieldDeclaration

    public final void FieldDeclaration(int modifiers)
                                throws ParseException

Throws:
  `ParseException`

#### VariableDeclarator

    public final void VariableDeclarator()
                                  throws ParseException

Throws:
  `ParseException`

#### VariableDeclaratorId

    public final void VariableDeclaratorId()
                                    throws ParseException

Throws:
  `ParseException`

#### VariableInitializer

    public final void VariableInitializer()
                                   throws ParseException

Throws:
  `ParseException`

#### ArrayInitializer

    public final void ArrayInitializer()
                                throws ParseException

Throws:
  `ParseException`

#### MethodDeclaration

    public final void MethodDeclaration(int modifiers)
                                 throws ParseException

Throws:
  `ParseException`

#### MethodDeclarator

    public final void MethodDeclarator()
                                throws ParseException

Throws:
  `ParseException`

#### FormalParameters

    public final void FormalParameters()
                                throws ParseException

Throws:
  `ParseException`

#### FormalParameter

    public final void FormalParameter()
                               throws ParseException

Throws:
  `ParseException`

#### ConstructorDeclaration

    public final void ConstructorDeclaration(int modifiers)
                                      throws ParseException

Throws:
  `ParseException`

#### ExplicitConstructorInvocation

    public final void ExplicitConstructorInvocation()
                                             throws ParseException

Throws:
  `ParseException`

#### Initializer

    public final void Initializer()
                           throws ParseException

Throws:
  `ParseException`

#### Type

    public final void Type()
                    throws ParseException

Throws:
  `ParseException`

#### ReferenceType

    public final void ReferenceType()
                             throws ParseException

Throws:
  `ParseException`

#### ClassOrInterfaceType

    public final void ClassOrInterfaceType()
                                    throws ParseException

Throws:
  `ParseException`

#### TypeArguments

    public final void TypeArguments()
                             throws ParseException

Throws:
  `ParseException`

#### TypeArgument

    public final void TypeArgument()
                            throws ParseException

Throws:
  `ParseException`

#### WildcardBounds

    public final void WildcardBounds()
                              throws ParseException

Throws:
  `ParseException`

#### PrimitiveType

    public final void PrimitiveType()
                             throws ParseException

Throws:
  `ParseException`

#### ResultType

    public final void ResultType()
                          throws ParseException

Throws:
  `ParseException`

#### Name

    public final void Name()
                    throws ParseException

Throws:
  `ParseException`

#### NameList

    public final void NameList()
                        throws ParseException

Throws:
  `ParseException`

#### Expression

    public final void Expression()
                          throws ParseException

Throws:
  `ParseException`

#### AssignmentOperator

    public final void AssignmentOperator()
                                  throws ParseException

Throws:
  `ParseException`

#### ConditionalExpression

    public final void ConditionalExpression()
                                     throws ParseException

Throws:
  `ParseException`

#### ConditionalOrExpression

    public final void ConditionalOrExpression()
                                       throws ParseException

Throws:
  `ParseException`

#### ConditionalAndExpression

    public final void ConditionalAndExpression()
                                        throws ParseException

Throws:
  `ParseException`

#### InclusiveOrExpression

    public final void InclusiveOrExpression()
                                     throws ParseException

Throws:
  `ParseException`

#### ExclusiveOrExpression

    public final void ExclusiveOrExpression()
                                     throws ParseException

Throws:
  `ParseException`

#### AndExpression

    public final void AndExpression()
                             throws ParseException

Throws:
  `ParseException`

#### EqualityExpression

    public final void EqualityExpression()
                                  throws ParseException

Throws:
  `ParseException`

#### InstanceOfExpression

    public final void InstanceOfExpression()
                                    throws ParseException

Throws:
  `ParseException`

#### RelationalExpression

    public final void RelationalExpression()
                                    throws ParseException

Throws:
  `ParseException`

#### ShiftExpression

    public final void ShiftExpression()
                               throws ParseException

Throws:
  `ParseException`

#### AdditiveExpression

    public final void AdditiveExpression()
                                  throws ParseException

Throws:
  `ParseException`

#### MultiplicativeExpression

    public final void MultiplicativeExpression()
                                        throws ParseException

Throws:
  `ParseException`

#### UnaryExpression

    public final void UnaryExpression()
                               throws ParseException

Throws:
  `ParseException`

#### PreIncrementExpression

    public final void PreIncrementExpression()
                                      throws ParseException

Throws:
  `ParseException`

#### PreDecrementExpression

    public final void PreDecrementExpression()
                                      throws ParseException

Throws:
  `ParseException`

#### UnaryExpressionNotPlusMinus

    public final void UnaryExpressionNotPlusMinus()
                                           throws ParseException

Throws:
  `ParseException`

#### CastLookahead

    public final void CastLookahead()
                             throws ParseException

Throws:
  `ParseException`

#### PostfixExpression

    public final void PostfixExpression()
                                 throws ParseException

Throws:
  `ParseException`

#### CastExpression

    public final void CastExpression()
                              throws ParseException

Throws:
  `ParseException`

#### PrimaryExpression

    public final void PrimaryExpression()
                                 throws ParseException

Throws:
  `ParseException`

#### MemberSelector

    public final void MemberSelector()
                              throws ParseException

Throws:
  `ParseException`

#### PrimaryPrefix

    public final void PrimaryPrefix()
                             throws ParseException

Throws:
  `ParseException`

#### PrimarySuffix

    public final void PrimarySuffix()
                             throws ParseException

Throws:
  `ParseException`

#### Literal

    public final void Literal()
                       throws ParseException

Throws:
  `ParseException`

#### BooleanLiteral

    public final void BooleanLiteral()
                              throws ParseException

Throws:
  `ParseException`

#### NullLiteral

    public final void NullLiteral()
                           throws ParseException

Throws:
  `ParseException`

#### Arguments

    public final void Arguments()
                         throws ParseException

Throws:
  `ParseException`

#### ArgumentList

    public final void ArgumentList()
                            throws ParseException

Throws:
  `ParseException`

#### AllocationExpression

    public final void AllocationExpression()
                                    throws ParseException

Throws:
  `ParseException`

#### ArrayDimsAndInits

    public final void ArrayDimsAndInits()
                                 throws ParseException

Throws:
  `ParseException`

#### Statement

    public final void Statement()
                         throws ParseException

Throws:
  `ParseException`

#### LabeledStatement

    public final void LabeledStatement()
                                throws ParseException

Throws:
  `ParseException`

#### Block

    public final void Block()
                     throws ParseException

Throws:
  `ParseException`

#### BlockStatement

    public final void BlockStatement()
                              throws ParseException

Throws:
  `ParseException`

#### LocalVariableDeclaration

    public final void LocalVariableDeclaration()
                                        throws ParseException

Throws:
  `ParseException`

#### EmptyStatement

    public final void EmptyStatement()
                              throws ParseException

Throws:
  `ParseException`

#### StatementExpression

    public final void StatementExpression()
                                   throws ParseException

Throws:
  `ParseException`

#### SwitchStatement

    public final void SwitchStatement()
                               throws ParseException

Throws:
  `ParseException`

#### SwitchLabel

    public final void SwitchLabel()
                           throws ParseException

Throws:
  `ParseException`

#### IfStatement

    public final void IfStatement()
                           throws ParseException

Throws:
  `ParseException`

#### WhileStatement

    public final void WhileStatement()
                              throws ParseException

Throws:
  `ParseException`

#### DoStatement

    public final void DoStatement()
                           throws ParseException

Throws:
  `ParseException`

#### ForStatement

    public final void ForStatement()
                            throws ParseException

Throws:
  `ParseException`

#### ForInit

    public final void ForInit()
                       throws ParseException

Throws:
  `ParseException`

#### StatementExpressionList

    public final void StatementExpressionList()
                                       throws ParseException

Throws:
  `ParseException`

#### ForUpdate

    public final void ForUpdate()
                         throws ParseException

Throws:
  `ParseException`

#### BreakStatement

    public final void BreakStatement()
                              throws ParseException

Throws:
  `ParseException`

#### ContinueStatement

    public final void ContinueStatement()
                                 throws ParseException

Throws:
  `ParseException`

#### ReturnStatement

    public final void ReturnStatement()
                               throws ParseException

Throws:
  `ParseException`

#### ThrowStatement

    public final void ThrowStatement()
                              throws ParseException

Throws:
  `ParseException`

#### SynchronizedStatement

    public final void SynchronizedStatement()
                                     throws ParseException

Throws:
  `ParseException`

#### TryStatement

    public final void TryStatement()
                            throws ParseException

Throws:
  `ParseException`

#### ResourceSpecification

    public final void ResourceSpecification()
                                     throws ParseException

Throws:
  `ParseException`

#### Resources

    public final void Resources()
                         throws ParseException

Throws:
  `ParseException`

#### Resource

    public final void Resource()
                        throws ParseException

Throws:
  `ParseException`

#### CatchStatement

    public final void CatchStatement()
                              throws ParseException

Throws:
  `ParseException`

#### FinallyStatement

    public final void FinallyStatement()
                                throws ParseException

Throws:
  `ParseException`

#### AssertStatement

    public final void AssertStatement()
                               throws ParseException

Throws:
  `ParseException`

#### RUNSIGNEDSHIFT

    public final void RUNSIGNEDSHIFT()
                              throws ParseException

Throws:
  `ParseException`

#### RSIGNEDSHIFT

    public final void RSIGNEDSHIFT()
                            throws ParseException

Throws:
  `ParseException`

#### Annotation

    public final void Annotation()
                          throws ParseException

Throws:
  `ParseException`

#### NormalAnnotation

    public final void NormalAnnotation()
                                throws ParseException

Throws:
  `ParseException`

#### MarkerAnnotation

    public final void MarkerAnnotation()
                                throws ParseException

Throws:
  `ParseException`

#### SingleMemberAnnotation

    public final void SingleMemberAnnotation()
                                      throws ParseException

Throws:
  `ParseException`

#### MemberValuePairs

    public final void MemberValuePairs()
                                throws ParseException

Throws:
  `ParseException`

#### MemberValuePair

    public final void MemberValuePair()
                               throws ParseException

Throws:
  `ParseException`

#### MemberValue

    public final void MemberValue()
                           throws ParseException

Throws:
  `ParseException`

#### MemberValueArrayInitializer

    public final void MemberValueArrayInitializer()
                                           throws ParseException

Throws:
  `ParseException`

#### AnnotationTypeDeclaration

    public final void AnnotationTypeDeclaration(int modifiers)
                                         throws ParseException

Throws:
  `ParseException`

#### AnnotationTypeBody

    public final void AnnotationTypeBody()
                                  throws ParseException

Throws:
  `ParseException`

#### AnnotationTypeMemberDeclaration

    public final void AnnotationTypeMemberDeclaration()
                                               throws ParseException

Throws:
  `ParseException`

#### AnnotationMethodDeclaration

    public final void AnnotationMethodDeclaration(int modifiers)
                                           throws ParseException

Throws:
  `ParseException`

#### DefaultValue

    public final void DefaultValue()
                            throws ParseException

Throws:
  `ParseException`

#### ReInit

    public void ReInit(CharStream stream)

Reinitialise.

#### ReInit

    public void ReInit(JavaParserTokenManager tm)

Reinitialise.

#### getNextToken

    public final Token getNextToken()

Get the next Token.

#### getToken

    public final Token getToken(int index)

Get the specific Token.

#### generateParseException

    public ParseException generateParseException()

Generate ParseException.

#### enable_tracing

    public final void enable_tracing()

Enable tracing.

#### disable_tracing

    public final void disable_tracing()

Disable tracing.